For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SalesGet Support
HomeGuidesAPI reference
HomeGuidesAPI reference
  • Middesk API
        • GETList mail items
        • GETRetrieve a mail item
        • PATCHUpdate a mail item
LogoLogo
Contact SalesGet Support
Middesk APIEntity ManagementMail

Update a mail item

PATCH
https://api.middesk.com/v1/partner/mail/:id
PATCH
/v1/partner/mail/:id
$curl -X PATCH https://api.middesk.com/v1/partner/mail/id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '[
> "Update delivery address to 1234 Elm Street, Springfield, IL 62704"
>]'
Was this page helpful?
Previous

AgentInformationRequest object

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
Mail item ID

Request

This endpoint expects a list of strings.

Errors

404
Update Mail Item Request Not Found Error